# Note that this is NOT a relocatable package
%define version      0.9.1
%define release %mkrel 1
%define name libfame
%define major 0.9_1
%define libname %mklibname fame %major


Summary:   Fast Assembly Mpeg Encoding library
Name:      %name
Version:   %version
Release:   %release
License:   LGPL
Group:     System/Libraries
Source0:   http://prdownloads.sourceforge.net/fame/libfame-%{version}.tar.bz2
Patch:	libfame-0.9.1-gcc34-1.patch.bz2
Patch1:    libfame-0.9.1-64bit.diff
URL:       http://fame.sourceforge.net
BuildRoot: %_tmppath/libfame-%{PACKAGE_VERSION}-root

%description
FAME is a library for fast MPEG encoding.

%package -n %libname
Summary:   Fast Assembly Mpeg Encoding library
Group:     System/Libraries

%description -n %libname
FAME is a library for fast MPEG encoding.

%package -n %libname-devel
Summary: Libraries and include to develop using FAME
Group: Development/C
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release 
Provides: libfame0.9-devel = %version-%release
Conflicts: libfame-devel < %version

%description -n %libname-devel
FAME is a library for fast MPEG encoding.

This is the libraries, include files and other resources you can use
to develop FAME applications.

%prep

%setup -q
%patch -p1
%patch1 -p1

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
fi
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall transform=""
%multiarch_binaries %{buildroot}%{_bindir}/*-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_libdir}/lib*.so.*

%files -n  %libname-devel
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_bindir}/*-config
%multiarch %{multiarch_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/fame*.h
%{_datadir}/aclocal/*
%{_mandir}/man3/*


%changelog
* Sat Nov 11 2006 ocilent1 <ocilent1 at gmail dot com> 0.9.1-1pclos2007
- Build for PCLinuxOS 2007
- Clean spec
